/*
	Copyright 2009 Michael Daffin <james1479@googlemail.com>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "passwordlist.h"

#include <QStringList>

#include <KXmlGuiWindow>

class KPassGen;

class MainWindow : public KXmlGuiWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void enableCopy(bool b = true);
    void disableCopy(bool b = true);

private:
    void setupActions();
    void setupContextMenu();
    void setupConfig();

    KPassGen *passwidget;

protected:
    void closeEvent(QCloseEvent* e);
};

#endif // MAINWINDOW_H
